Bug 75098 - XVideo overlay stays on top even when menu items or other windows should show above it.
XVideo overlay stays on top even when menu items or other windows should show...
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-04 11:13 EDT by Bill Peck
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version: 4.3.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-25 05:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2002-10-04 11:13:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
XVideo overlay always stays on top with ATI Radeon All in Wonder.
Menu items and other windows show behind the Overlay even when they are brought
to the front. This doesn't happen with my Matrox Card.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RedHat 8.0 with an ATI all in wonder Radeon
2. run some video player program which uses XV for output
3. open another window and bring its focus to the front and slide it over the XV
overlay.  It will slide behind the overlay but on top of the window decorations
and the rest of the app.

Expected Results:  Menu items and other windows should be able to appear on top
of XVideo Overlay's

Additional info:

I have another machine which uses a Matrox G400 which doesn't exhibit this bahaviour
Comment 1 Mike A. Harris 2002-10-05 20:48:43 EDT
Fixed in XFree86 CVS and DRI-CVS I'm told.  I'll investigate backporting
the bug fixes.  If it is easily doable, future erratum will have the
bugfix present.
Comment 2 Mike A. Harris 2003-01-15 08:34:55 EST
Defering investigation until problem confirmed fixed in 4.3.0, and there
is time to determine the issue and possibly backport.
Comment 3 Mike A. Harris 2003-04-25 05:50:32 EDT
Fixed in Red Hat Linux 9.

Note You need to log in before you can comment on or make changes to this bug.